Subject: RE: [mobile-ip] questions on fast handoffs for MIPv6

From: George Tsirtsis <[email-masked]>
Date: Thu, 7 Jun 2001 06:10:07 -0400

-----Original Message-----
From: Alper Yegin [mailto:[email-masked]]
Sent: Thursday, June 07, 2001 3:19 AM
To: [email-masked]
Subject: Re: [mobile-ip] questions on fast handoffs for MIPv6

Hi Vijay,

> hi Alper,
> 
> > We have a 'U' Buffer Flag in HA message. And I think this makes it an 
optional
> > feature. oldAR MAY turn this flag on. Do you think we should spell this
out 
in
> > the draft?
> 
> it is slightly different. by setting the 'U' flag, the oldAR basically
> tells the newAR, that i have been buffering packets for this particular
> MN. you should also do it.

Do you mean when U flag is turned on, that means both oldAR and newAR would
be 
buffering? I'm not aware of that. I'm not aware of buffering at oldAR. If
this 
is in the draft, I must be missing it. Can you point me where is this in the

draft?

> and in the scenario, Madjid was talking about, the newAR is receiving
> packets forwarded by the oldAR to the MN. but the MN hasnt shown up
> yet. here it MUST buffer packets, whether the 'U' flag in the HI was 
> set or not. if it doesnt buffer, it has to drop the packets till the 
> MN shows up.

So, here you are saying newAR MUST buffer independent of U flag. I don't
think 
we said that in the draft. Can I get a pointer for this one as well?

Yes, if newAR doesn't buffer, it must drop the packets. That's why we have U

flag.

GT> I think that it is up to the operator to buffer or not whenever he
wants! The U flag just states a preference/request which can always be
overwritten by an operator due to local capacity issues or whatever....The
point is that lack of U flag does not mean that the newAR MUST drop packets
it just suggests that it MAY...On the other hand  the presence of the U flag
does not mean the newAR MUST buffer packets it just suggest that it SHOULD.

George

---

From: Vijay Devarapalli <[email-masked]>
Date: Thu, 07 Jun 2001 09:32:56 -0700

> does not mean the newAR MUST buffer packets it just suggest that it SHOULD.

Can you add the following text to the draft then?

	When the newAR is receiving packets forwarded by the 
	oldAR for the MN, and the MN hasnt shown up yet, the 
	newAR SHOULD buffer packets. If the newAR does not 
	buffer packets, it would the packets meant for the MN.

'shown up yet' can be expanded to 'the newAR has received neither a
NA nor a F-NA from the MN (nor a link level trigger)'.

vijay